Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.swt
Interface ISWTObservable

All Superinterfaces:
  IObservable

All Known Subinterfaces:
  ISWTObservableList, ISWTObservableValue

    public interface ISWTObservable

extends IObservable

`IObservable` observing an SWT widget.

Since:
  1.1

Method Summary
`Widget` `getWidget()` Returns the widget of this observable

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Method Detail

### getWidget

    Widget getWidget()

  Returns the widget of this observable

  Returns:
    the widget

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.